# SPDX-License-Identifier: MIT
Version:    1.4
Release:    0%{?dist}
URL:        https://gitlab.com/rit-fonts/tnjoy

%global foundry RIT
%global fontlicense OFL
%global fontlicenses LICENSE.txt
%global fontdocs README.md

%global fontfamily tnjoy
%global fontsummary    A traditional orthography font for Malayalam script

%global fonts fonts/otf/*.ttf
%global fontconfs %{nil}

%global fontappstreams in.org.rachana.tnjoy.metainfo.xml

%global fontdescription %{expand:
TNJoy is a traditional orthography font for Malayalam script designed by\
K.H. Hussain & P.K. Ashok Kumar and developed by Rachana Institute of Typography.\
This font is named after and dedicated to the activist T.N. Joy.
}


Source0:    https://gitlab.com/rit-fonts/tnjoy/-/archive/%{version}/tnjoy-%{version}.tar.bz2

BuildRequires:    fontpackages-devel
BuildRequires:    fontforge
BuildRequires:    python3
BuildRequires:    python3-fonttools
BuildRequires:    python3-cffsubr
BuildRequires:    make
Requires:    fontpackages-filesystem

%fontpkg

%prep
%setup -n %{fontfamily}-%{version}

%build
%fontbuild
make otf

%install
%fontinstall

%check
%fontcheck

%fontfiles


%changelog
* Sun Dec 05 2021 Rajeesh KV <rajeeshknambiar@fedoraproject.org> - 1.4-0
- Update to new upstream release
- Major improvements to OpenType layoutt rules

* Fri Jan 01 2021 Rajeesh KV <rajeeshknambiar@fedoraproject.org> - 1.2-0
- Initial packaging
